import type { Plugin } from 'vue';
import type Column from './Column';
import type ColumnGroup from './ColumnGroup';
export declare const TableColumn: any;
export declare const TableColumnGroup: any;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            getPopupContainer: (...args: any[]) => any;
            prefixCls: string;
            transformCellText: (...args: any[]) => any;
            footer: (...args: any[]) => any;
            title: (...args: any[]) => any;
            onChange: (...args: any[]) => any;
            components: {
                [key: string]: any;
            };
            dropdownPrefixCls: string;
            dataSource: unknown[];
            rowClassName: (...args: any[]) => any;
            defaultExpandedRowKeys: unknown[];
            expandedRowKeys: unknown[];
            expandIconColumnIndex: number;
            indentSize: number;
            customRow: (...args: any[]) => any;
            customHeaderRow: (...args: any[]) => any;
            tableLayout: string;
            expandIcon: (...args: any[]) => any;
            onExpandedRowsChange: (...args: any[]) => any;
            onExpand: (...args: any[]) => any;
            onRowClick: (...args: any[]) => any;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            dropdownPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            rowSelection: import("vue-types").VueTypeDef<{
                [key: string]: any;
            } | {
                type: "checkbox" | "radio";
                selectedRowKeys: unknown[] | (() => unknown[]);
                getCheckboxProps: any;
                selections: boolean | import("vue-types/dist/types").DefaultFactory<unknown[]>;
                hideDefaultSelections: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                fixed: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                columnWidth: string | number;
                selectWay: "onSelect" | "onSelectMultiple" | "onSelectAll" | "onSelectInvert";
                columnTitle: any;
            }>;
            pagination: import("vue-types").VueTypeDef<boolean | Partial<import("vue").ExtractPropTypes<{
                position: import("vue-types").VueTypeDef<"both" | "bottom" | "top">;
                total: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                defaultCurrent: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                disabled: import("vue-types").VueTypeValidableDef<boolean>;
                current: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                defaultPageSize: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                pageSize: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                hideOnSinglePage: import("vue-types").VueTypeValidableDef<boolean>;
                showSizeChanger: import("vue-types").VueTypeValidableDef<boolean>;
                pageSizeOptions: import("vue-types").VueTypeDef<(string | number)[]>;
                buildOptionText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                showSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                showQuickJumper: import("vue-types").VueTypeDef<boolean | {
                    [key: string]: any;
                }>;
                showTotal: import("vue-types").VueTypeValidableDef<any>;
                size: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                simple: import("vue-types").VueTypeValidableDef<boolean>;
                locale: import("vue-types").VueTypeValidableDef<{
                    [key: string]: any;
                }> & {
                    default: () => {
                        [key: string]: any;
                    };
                };
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                selectPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                itemRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                role: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                showLessItems: import("vue-types").VueTypeValidableDef<boolean>;
                onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                onShowSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                'onUpdate:current': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                'onUpdate:pageSize': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
            }>>>;
            size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
            dataSource: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            components: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            columns: {
                type: import("vue").PropType<import("./interface").ColumnProps>;
            };
            rowKey: import("vue-types").VueTypeDef<any>;
            rowClassName: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            expandedRowRender: import("vue-types").VueTypeValidableDef<any>;
            defaultExpandAllRows: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            expandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            expandIconAsCell: import("vue-types").VueTypeValidableDef<boolean>;
            expandIconColumnIndex: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            expandRowByClick: import("vue-types").VueTypeValidableDef<boolean>;
            loading: import("vue-types").VueTypeDef<boolean | {
                prefixCls: (string | ((props: Record<string, unknown>) => string)) & string;
                spinning: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                size: "default" | "small" | "large";
                wrapperClassName: (string | ((props: Record<string, unknown>) => string)) & string;
                tip: (string | ((props: Record<string, unknown>) => string)) & string;
                delay: (number | ((props: Record<string, unknown>) => number)) & number;
                indicator: any;
            }>;
            locale: import("vue-types").VueTypeLooseShape<{
                filterTitle: (string | ((props: Record<string, unknown>) => string)) & string;
                filterConfirm: any;
                filterReset: any;
                emptyText: any;
                selectAll: any;
                selectInvert: any;
                sortTitle: (string | ((props: Record<string, unknown>) => string)) & string;
                expand: (string | ((props: Record<string, unknown>) => string)) & string;
                collapse: (string | ((props: Record<string, unknown>) => string)) & string;
            }>;
            indentSize: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            customRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            customHeaderRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            useFixedHeader: import("vue-types").VueTypeValidableDef<boolean>;
            bordered: import("vue-types").VueTypeValidableDef<boolean>;
            showHeader: import("vue-types").VueTypeValidableDef<boolean>;
            footer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            title: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            scroll: {
                type: import("vue").PropType<{
                    x?: string | number | boolean;
                    y?: string | number | boolean;
                    scrollToFirstRowOnChange?: boolean;
                }>;
            };
            childrenColumnName: import("vue-types").VueTypeDef<string | unknown[]>;
            bodyStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
            sortDirections: {
                type: import("vue").PropType<import("./interface").SortOrder[]>;
            };
            tableLayout: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            expandIcon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            transformCellText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onExpandedRowsChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onRowClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "getPopupContainer" | "prefixCls" | "transformCellText" | "footer" | "title" | "onChange" | "components" | "dropdownPrefixCls" | "dataSource" | "rowClassName" | "defaultExpandedRowKeys" | "expandedRowKeys" | "expandIconColumnIndex" | "indentSize" | "customRow" | "customHeaderRow" | "tableLayout" | "expandIcon" | "onExpandedRowsChange" | "onExpand" | "onRowClick">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            dropdownPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            rowSelection: import("vue-types").VueTypeDef<{
                [key: string]: any;
            } | {
                type: "checkbox" | "radio";
                selectedRowKeys: unknown[] | (() => unknown[]);
                getCheckboxProps: any;
                selections: boolean | import("vue-types/dist/types").DefaultFactory<unknown[]>;
                hideDefaultSelections: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                fixed: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                columnWidth: string | number;
                selectWay: "onSelect" | "onSelectMultiple" | "onSelectAll" | "onSelectInvert";
                columnTitle: any;
            }>;
            pagination: import("vue-types").VueTypeDef<boolean | Partial<import("vue").ExtractPropTypes<{
                position: import("vue-types").VueTypeDef<"both" | "bottom" | "top">;
                total: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                defaultCurrent: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                disabled: import("vue-types").VueTypeValidableDef<boolean>;
                current: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                defaultPageSize: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                pageSize: import("vue-types").VueTypeValidableDef<number> & {
                    default: number;
                };
                hideOnSinglePage: import("vue-types").VueTypeValidableDef<boolean>;
                showSizeChanger: import("vue-types").VueTypeValidableDef<boolean>;
                pageSizeOptions: import("vue-types").VueTypeDef<(string | number)[]>;
                buildOptionText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                showSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                showQuickJumper: import("vue-types").VueTypeDef<boolean | {
                    [key: string]: any;
                }>;
                showTotal: import("vue-types").VueTypeValidableDef<any>;
                size: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                simple: import("vue-types").VueTypeValidableDef<boolean>;
                locale: import("vue-types").VueTypeValidableDef<{
                    [key: string]: any;
                }> & {
                    default: () => {
                        [key: string]: any;
                    };
                };
                prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                selectPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                itemRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                role: import("vue-types").VueTypeValidableDef<string> & {
                    default: string;
                };
                showLessItems: import("vue-types").VueTypeValidableDef<boolean>;
                onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                onShowSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                'onUpdate:current': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
                'onUpdate:pageSize': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                };
            }>>>;
            size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
            dataSource: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            components: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            columns: {
                type: import("vue").PropType<import("./interface").ColumnProps>;
            };
            rowKey: import("vue-types").VueTypeDef<any>;
            rowClassName: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            expandedRowRender: import("vue-types").VueTypeValidableDef<any>;
            defaultExpandAllRows: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            expandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            expandIconAsCell: import("vue-types").VueTypeValidableDef<boolean>;
            expandIconColumnIndex: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            expandRowByClick: import("vue-types").VueTypeValidableDef<boolean>;
            loading: import("vue-types").VueTypeDef<boolean | {
                prefixCls: (string | ((props: Record<string, unknown>) => string)) & string;
                spinning: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                size: "default" | "small" | "large";
                wrapperClassName: (string | ((props: Record<string, unknown>) => string)) & string;
                tip: (string | ((props: Record<string, unknown>) => string)) & string;
                delay: (number | ((props: Record<string, unknown>) => number)) & number;
                indicator: any;
            }>;
            locale: import("vue-types").VueTypeLooseShape<{
                filterTitle: (string | ((props: Record<string, unknown>) => string)) & string;
                filterConfirm: any;
                filterReset: any;
                emptyText: any;
                selectAll: any;
                selectInvert: any;
                sortTitle: (string | ((props: Record<string, unknown>) => string)) & string;
                expand: (string | ((props: Record<string, unknown>) => string)) & string;
                collapse: (string | ((props: Record<string, unknown>) => string)) & string;
            }>;
            indentSize: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            customRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            customHeaderRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            useFixedHeader: import("vue-types").VueTypeValidableDef<boolean>;
            bordered: import("vue-types").VueTypeValidableDef<boolean>;
            showHeader: import("vue-types").VueTypeValidableDef<boolean>;
            footer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            title: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            scroll: {
                type: import("vue").PropType<{
                    x?: string | number | boolean;
                    y?: string | number | boolean;
                    scrollToFirstRowOnChange?: boolean;
                }>;
            };
            childrenColumnName: import("vue-types").VueTypeDef<string | unknown[]>;
            bodyStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
            sortDirections: {
                type: import("vue").PropType<import("./interface").SortOrder[]>;
            };
            tableLayout: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            expandIcon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            transformCellText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onExpandedRowsChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onRowClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
        }>>, unknown, unknown, {}, {
            normalize(elements?: any[]): any[];
            updateColumns(cols?: any[]): any[];
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            getPopupContainer: (...args: any[]) => any;
            prefixCls: string;
            transformCellText: (...args: any[]) => any;
            footer: (...args: any[]) => any;
            title: (...args: any[]) => any;
            onChange: (...args: any[]) => any;
            components: {
                [key: string]: any;
            };
            dropdownPrefixCls: string;
            dataSource: unknown[];
            rowClassName: (...args: any[]) => any;
            defaultExpandedRowKeys: unknown[];
            expandedRowKeys: unknown[];
            expandIconColumnIndex: number;
            indentSize: number;
            customRow: (...args: any[]) => any;
            customHeaderRow: (...args: any[]) => any;
            tableLayout: string;
            expandIcon: (...args: any[]) => any;
            onExpandedRowsChange: (...args: any[]) => any;
            onExpand: (...args: any[]) => any;
            onRowClick: (...args: any[]) => any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        dropdownPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        rowSelection: import("vue-types").VueTypeDef<{
            [key: string]: any;
        } | {
            type: "checkbox" | "radio";
            selectedRowKeys: unknown[] | (() => unknown[]);
            getCheckboxProps: any;
            selections: boolean | import("vue-types/dist/types").DefaultFactory<unknown[]>;
            hideDefaultSelections: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
            fixed: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
            columnWidth: string | number;
            selectWay: "onSelect" | "onSelectMultiple" | "onSelectAll" | "onSelectInvert";
            columnTitle: any;
        }>;
        pagination: import("vue-types").VueTypeDef<boolean | Partial<import("vue").ExtractPropTypes<{
            position: import("vue-types").VueTypeDef<"both" | "bottom" | "top">;
            total: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            defaultCurrent: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            disabled: import("vue-types").VueTypeValidableDef<boolean>;
            current: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            defaultPageSize: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            pageSize: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            hideOnSinglePage: import("vue-types").VueTypeValidableDef<boolean>;
            showSizeChanger: import("vue-types").VueTypeValidableDef<boolean>;
            pageSizeOptions: import("vue-types").VueTypeDef<(string | number)[]>;
            buildOptionText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            showSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            showQuickJumper: import("vue-types").VueTypeDef<boolean | {
                [key: string]: any;
            }>;
            showTotal: import("vue-types").VueTypeValidableDef<any>;
            size: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            simple: import("vue-types").VueTypeValidableDef<boolean>;
            locale: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            selectPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            itemRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            role: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            showLessItems: import("vue-types").VueTypeValidableDef<boolean>;
            onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onShowSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:current': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:pageSize': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
        }>>>;
        size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
        dataSource: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        components: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        columns: {
            type: import("vue").PropType<import("./interface").ColumnProps>;
        };
        rowKey: import("vue-types").VueTypeDef<any>;
        rowClassName: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        expandedRowRender: import("vue-types").VueTypeValidableDef<any>;
        defaultExpandAllRows: import("vue-types").VueTypeValidableDef<boolean>;
        defaultExpandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        expandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        expandIconAsCell: import("vue-types").VueTypeValidableDef<boolean>;
        expandIconColumnIndex: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        expandRowByClick: import("vue-types").VueTypeValidableDef<boolean>;
        loading: import("vue-types").VueTypeDef<boolean | {
            prefixCls: (string | ((props: Record<string, unknown>) => string)) & string;
            spinning: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
            size: "default" | "small" | "large";
            wrapperClassName: (string | ((props: Record<string, unknown>) => string)) & string;
            tip: (string | ((props: Record<string, unknown>) => string)) & string;
            delay: (number | ((props: Record<string, unknown>) => number)) & number;
            indicator: any;
        }>;
        locale: import("vue-types").VueTypeLooseShape<{
            filterTitle: (string | ((props: Record<string, unknown>) => string)) & string;
            filterConfirm: any;
            filterReset: any;
            emptyText: any;
            selectAll: any;
            selectInvert: any;
            sortTitle: (string | ((props: Record<string, unknown>) => string)) & string;
            expand: (string | ((props: Record<string, unknown>) => string)) & string;
            collapse: (string | ((props: Record<string, unknown>) => string)) & string;
        }>;
        indentSize: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        customRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        customHeaderRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        useFixedHeader: import("vue-types").VueTypeValidableDef<boolean>;
        bordered: import("vue-types").VueTypeValidableDef<boolean>;
        showHeader: import("vue-types").VueTypeValidableDef<boolean>;
        footer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        title: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        scroll: {
            type: import("vue").PropType<{
                x?: string | number | boolean;
                y?: string | number | boolean;
                scrollToFirstRowOnChange?: boolean;
            }>;
        };
        childrenColumnName: import("vue-types").VueTypeDef<string | unknown[]>;
        bodyStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
        sortDirections: {
            type: import("vue").PropType<import("./interface").SortOrder[]>;
        };
        tableLayout: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        expandIcon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        transformCellText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onExpandedRowsChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onRowClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
    }>> & import("vue").ShallowUnwrapRef<{}> & {} & {} & {
        normalize(elements?: any[]): any[];
        updateColumns(cols?: any[]): any[];
    } & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    dropdownPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    rowSelection: import("vue-types").VueTypeDef<{
        [key: string]: any;
    } | {
        type: "checkbox" | "radio";
        selectedRowKeys: unknown[] | (() => unknown[]);
        getCheckboxProps: any;
        selections: boolean | import("vue-types/dist/types").DefaultFactory<unknown[]>;
        hideDefaultSelections: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
        fixed: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
        columnWidth: string | number;
        selectWay: "onSelect" | "onSelectMultiple" | "onSelectAll" | "onSelectInvert";
        columnTitle: any;
    }>;
    pagination: import("vue-types").VueTypeDef<boolean | Partial<import("vue").ExtractPropTypes<{
        position: import("vue-types").VueTypeDef<"both" | "bottom" | "top">;
        total: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        defaultCurrent: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        disabled: import("vue-types").VueTypeValidableDef<boolean>;
        current: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        defaultPageSize: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        pageSize: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        hideOnSinglePage: import("vue-types").VueTypeValidableDef<boolean>;
        showSizeChanger: import("vue-types").VueTypeValidableDef<boolean>;
        pageSizeOptions: import("vue-types").VueTypeDef<(string | number)[]>;
        buildOptionText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        showSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        showQuickJumper: import("vue-types").VueTypeDef<boolean | {
            [key: string]: any;
        }>;
        showTotal: import("vue-types").VueTypeValidableDef<any>;
        size: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        simple: import("vue-types").VueTypeValidableDef<boolean>;
        locale: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        selectPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        itemRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        role: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        showLessItems: import("vue-types").VueTypeValidableDef<boolean>;
        onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onShowSizeChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:current': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:pageSize': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
    }>>>;
    size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
    dataSource: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    components: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    columns: {
        type: import("vue").PropType<import("./interface").ColumnProps>;
    };
    rowKey: import("vue-types").VueTypeDef<any>;
    rowClassName: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    expandedRowRender: import("vue-types").VueTypeValidableDef<any>;
    defaultExpandAllRows: import("vue-types").VueTypeValidableDef<boolean>;
    defaultExpandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    expandedRowKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    expandIconAsCell: import("vue-types").VueTypeValidableDef<boolean>;
    expandIconColumnIndex: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    expandRowByClick: import("vue-types").VueTypeValidableDef<boolean>;
    loading: import("vue-types").VueTypeDef<boolean | {
        prefixCls: (string | ((props: Record<string, unknown>) => string)) & string;
        spinning: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
        size: "default" | "small" | "large";
        wrapperClassName: (string | ((props: Record<string, unknown>) => string)) & string;
        tip: (string | ((props: Record<string, unknown>) => string)) & string;
        delay: (number | ((props: Record<string, unknown>) => number)) & number;
        indicator: any;
    }>;
    locale: import("vue-types").VueTypeLooseShape<{
        filterTitle: (string | ((props: Record<string, unknown>) => string)) & string;
        filterConfirm: any;
        filterReset: any;
        emptyText: any;
        selectAll: any;
        selectInvert: any;
        sortTitle: (string | ((props: Record<string, unknown>) => string)) & string;
        expand: (string | ((props: Record<string, unknown>) => string)) & string;
        collapse: (string | ((props: Record<string, unknown>) => string)) & string;
    }>;
    indentSize: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    customRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    customHeaderRow: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    useFixedHeader: import("vue-types").VueTypeValidableDef<boolean>;
    bordered: import("vue-types").VueTypeValidableDef<boolean>;
    showHeader: import("vue-types").VueTypeValidableDef<boolean>;
    footer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    title: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    scroll: {
        type: import("vue").PropType<{
            x?: string | number | boolean;
            y?: string | number | boolean;
            scrollToFirstRowOnChange?: boolean;
        }>;
    };
    childrenColumnName: import("vue-types").VueTypeDef<string | unknown[]>;
    bodyStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    sortDirections: {
        type: import("vue").PropType<import("./interface").SortOrder[]>;
    };
    tableLayout: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    expandIcon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    transformCellText: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onExpandedRowsChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onRowClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
}>>, unknown, unknown, {}, {
    normalize(elements?: any[]): any[];
    updateColumns(cols?: any[]): any[];
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    getPopupContainer: (...args: any[]) => any;
    prefixCls: string;
    transformCellText: (...args: any[]) => any;
    footer: (...args: any[]) => any;
    title: (...args: any[]) => any;
    onChange: (...args: any[]) => any;
    components: {
        [key: string]: any;
    };
    dropdownPrefixCls: string;
    dataSource: unknown[];
    rowClassName: (...args: any[]) => any;
    defaultExpandedRowKeys: unknown[];
    expandedRowKeys: unknown[];
    expandIconColumnIndex: number;
    indentSize: number;
    customRow: (...args: any[]) => any;
    customHeaderRow: (...args: any[]) => any;
    tableLayout: string;
    expandIcon: (...args: any[]) => any;
    onExpandedRowsChange: (...args: any[]) => any;
    onExpand: (...args: any[]) => any;
    onRowClick: (...args: any[]) => any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly Column: typeof Column;
    readonly ColumnGroup: typeof ColumnGroup;
};
export default _default;
