import type { Plugin } from 'vue';
import { TreeNode, SHOW_ALL, SHOW_PARENT, SHOW_CHILD } from '../vc-tree-select';
export { TreeData, TreeSelectProps } from './interface';
export declare const TreeSelectNode: any;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            children: unknown[];
            getPopupContainer: (...args: any[]) => any;
            prefixCls: string;
            direction: string;
            onFocus: (...args: any[]) => any;
            onBlur: (...args: any[]) => any;
            onChange: (...args: any[]) => any;
            onKeydown: (...args: any[]) => any;
            onKeyup: (...args: any[]) => any;
            onClick: (...args: any[]) => any;
            onMousedown: (...args: any[]) => any;
            onMouseenter: (...args: any[]) => any;
            onMouseleave: (...args: any[]) => any;
            onSelect: (...args: any[]) => any;
            onDeselect: (...args: any[]) => any;
            onClear: (...args: any[]) => any;
            id: string;
            options: unknown[];
            searchValue: string;
            optionLabelProp: string;
            optionFilterProp: string;
            maxTagCount: number;
            maxTagTextLength: number;
            tagRender: (...args: any[]) => any;
            choiceTransitionName: string;
            onSearch: (...args: any[]) => any;
            animation: string;
            transitionName: string;
            dropdownStyle: {
                [key: string]: any;
            };
            dropdownClassName: string;
            dropdownRender: (...args: any[]) => any;
            showAction: unknown[];
            inputValue: string;
            filterSort: (...args: any[]) => any;
            listHeight: number;
            listItemHeight: number;
            onPopupScroll: (...args: any[]) => any;
            onDropdownVisibleChange: (...args: any[]) => any;
            internalProps: {
                [key: string]: any;
            };
            bordered: boolean;
            "onUpdate:value": (...args: any[]) => any;
            loadData: (...args: any[]) => any;
            searchPlaceholder: string;
            treeExpandedKeys: unknown[];
            treeDefaultExpandedKeys: unknown[];
            treeNodeFilterProp: string;
            treeNodeLabelProp: string;
            replaceFields: {
                [key: string]: any;
            };
            onTreeExpand: (...args: any[]) => any;
            "onUpdate:treeExpandedKeys": (...args: any[]) => any;
            "onUpdate:searchValue": (...args: any[]) => any;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            autofocus: import("vue-types").VueTypeValidableDef<boolean>;
            dropdownStyle: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            filterTreeNode: import("vue-types").VueTypeDef<boolean | Function>;
            getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            labelInValue: import("vue-types").VueTypeValidableDef<boolean>;
            loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            maxTagCount: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            maxTagPlaceholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            value: import("vue-types").VueTypeDef<string | number | {
                [key: string]: any;
            }>;
            defaultValue: import("vue-types").VueTypeDef<string | number | {
                [key: string]: any;
            }>;
            multiple: import("vue-types").VueTypeValidableDef<boolean>;
            notFoundContent: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            searchPlaceholder: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            searchValue: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            showCheckedStrategy: import("vue-types").VueTypeDef<"SHOW_ALL" | "SHOW_PARENT" | "SHOW_CHILD">;
            suffixIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            treeCheckable: import("vue-types").VueTypeValidableDef<boolean>;
            treeCheckStrictly: import("vue-types").VueTypeValidableDef<boolean>;
            treeData: import("vue-types").VueTypeDef<{
                [key: string]: any;
            }[]>;
            treeDataSimpleMode: import("vue-types").VueTypeDef<boolean | {
                [key: string]: any;
            }>;
            dropdownClassName: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            dropdownMatchSelectWidth: import("vue-types").VueTypeValidableDef<boolean>;
            treeDefaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
            treeExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            treeIcon: import("vue-types").VueTypeValidableDef<boolean>;
            treeDefaultExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            treeNodeFilterProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            treeNodeLabelProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            replaceFields: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            } & {
                default: () => {
                    [key: string]: any;
                };
            };
            clearIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            removeIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onSearch: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onTreeExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:treeExpandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:searchValue': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:value': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            itemIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
            mode: import("vue-types").VueTypeDef<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
            bordered: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            };
            transitionName: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            } & {
                default: string;
            };
            choiceTransitionName: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            } & {
                default: string;
            };
            children: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            direction: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            virtual: import("vue-types").VueTypeValidableDef<boolean>;
            onFocus: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onBlur: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onKeydown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onKeyup: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onMousedown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onMouseenter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onMouseleave: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            tabindex: import("vue-types").VueTypeDef<string | number>;
            onDeselect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onClear: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            open: import("vue-types").VueTypeValidableDef<boolean>;
            disabled: import("vue-types").VueTypeValidableDef<boolean>;
            id: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            options: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            defaultActiveFirstOption: import("vue-types").VueTypeValidableDef<boolean>;
            menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            optionLabelProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            optionFilterProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            filterOption: import("vue-types").VueTypeValidableDef<any>;
            placeholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            showSearch: import("vue-types").VueTypeValidableDef<boolean>;
            onInputKeyDown: {
                type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
            };
            maxTagTextLength: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            tokenSeparators: import("vue-types").VueTypeDef<string[]>;
            tagRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            animation: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            dropdownRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            dropdownAlign: import("vue-types").VueTypeValidableDef<any>;
            showAction: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            inputValue: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            filterSort: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            autoClearSearchValue: import("vue-types").VueTypeValidableDef<boolean>;
            allowClear: import("vue-types").VueTypeValidableDef<boolean>;
            showArrow: import("vue-types").VueTypeValidableDef<boolean>;
            defaultOpen: import("vue-types").VueTypeValidableDef<boolean>;
            listHeight: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            listItemHeight: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            loading: import("vue-types").VueTypeValidableDef<boolean>;
            onPopupScroll: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onDropdownVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            internalProps: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "children" | "getPopupContainer" | "prefixCls" | "direction" | "onFocus" | "onBlur" | "onChange" | "onKeydown" | "onKeyup" | "onClick" | "onMousedown" | "onMouseenter" | "onMouseleave" | "onSelect" | "onDeselect" | "onClear" | "id" | "options" | "searchValue" | "optionLabelProp" | "optionFilterProp" | "maxTagCount" | "maxTagTextLength" | "tagRender" | "choiceTransitionName" | "onSearch" | "animation" | "transitionName" | "dropdownStyle" | "dropdownClassName" | "dropdownRender" | "showAction" | "inputValue" | "filterSort" | "listHeight" | "listItemHeight" | "onPopupScroll" | "onDropdownVisibleChange" | "internalProps" | "bordered" | "onUpdate:value" | "loadData" | "searchPlaceholder" | "treeExpandedKeys" | "treeDefaultExpandedKeys" | "treeNodeFilterProp" | "treeNodeLabelProp" | "replaceFields" | "onTreeExpand" | "onUpdate:treeExpandedKeys" | "onUpdate:searchValue">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            autofocus: import("vue-types").VueTypeValidableDef<boolean>;
            dropdownStyle: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            filterTreeNode: import("vue-types").VueTypeDef<boolean | Function>;
            getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            labelInValue: import("vue-types").VueTypeValidableDef<boolean>;
            loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            maxTagCount: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            maxTagPlaceholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            value: import("vue-types").VueTypeDef<string | number | {
                [key: string]: any;
            }>;
            defaultValue: import("vue-types").VueTypeDef<string | number | {
                [key: string]: any;
            }>;
            multiple: import("vue-types").VueTypeValidableDef<boolean>;
            notFoundContent: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            searchPlaceholder: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            searchValue: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            showCheckedStrategy: import("vue-types").VueTypeDef<"SHOW_ALL" | "SHOW_PARENT" | "SHOW_CHILD">;
            suffixIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            treeCheckable: import("vue-types").VueTypeValidableDef<boolean>;
            treeCheckStrictly: import("vue-types").VueTypeValidableDef<boolean>;
            treeData: import("vue-types").VueTypeDef<{
                [key: string]: any;
            }[]>;
            treeDataSimpleMode: import("vue-types").VueTypeDef<boolean | {
                [key: string]: any;
            }>;
            dropdownClassName: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            dropdownMatchSelectWidth: import("vue-types").VueTypeValidableDef<boolean>;
            treeDefaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
            treeExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            treeIcon: import("vue-types").VueTypeValidableDef<boolean>;
            treeDefaultExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            treeNodeFilterProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            treeNodeLabelProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            replaceFields: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            } & {
                default: () => {
                    [key: string]: any;
                };
            };
            clearIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            removeIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onSearch: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onTreeExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:treeExpandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:searchValue': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:value': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            itemIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
            mode: import("vue-types").VueTypeDef<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
            bordered: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            };
            transitionName: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            } & {
                default: string;
            };
            choiceTransitionName: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            } & {
                default: string;
            };
            children: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            direction: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            virtual: import("vue-types").VueTypeValidableDef<boolean>;
            onFocus: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onBlur: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onKeydown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onKeyup: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onMousedown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onMouseenter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onMouseleave: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            tabindex: import("vue-types").VueTypeDef<string | number>;
            onDeselect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onClear: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            open: import("vue-types").VueTypeValidableDef<boolean>;
            disabled: import("vue-types").VueTypeValidableDef<boolean>;
            id: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            options: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            defaultActiveFirstOption: import("vue-types").VueTypeValidableDef<boolean>;
            menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            optionLabelProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            optionFilterProp: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            filterOption: import("vue-types").VueTypeValidableDef<any>;
            placeholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
            showSearch: import("vue-types").VueTypeValidableDef<boolean>;
            onInputKeyDown: {
                type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
            };
            maxTagTextLength: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            tokenSeparators: import("vue-types").VueTypeDef<string[]>;
            tagRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            animation: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            dropdownRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            dropdownAlign: import("vue-types").VueTypeValidableDef<any>;
            showAction: import("vue-types").VueTypeValidableDef<unknown[]> & {
                default: () => unknown[];
            };
            inputValue: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            filterSort: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            autoClearSearchValue: import("vue-types").VueTypeValidableDef<boolean>;
            allowClear: import("vue-types").VueTypeValidableDef<boolean>;
            showArrow: import("vue-types").VueTypeValidableDef<boolean>;
            defaultOpen: import("vue-types").VueTypeValidableDef<boolean>;
            listHeight: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            listItemHeight: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            };
            loading: import("vue-types").VueTypeValidableDef<boolean>;
            onPopupScroll: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onDropdownVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            internalProps: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
        }>>, {
            vcTreeSelect: any;
            configProvider: {
                locale?: {
                    locale: string;
                    Pagination?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    DatePicker?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    TimePicker?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Calendar?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Table?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Modal?: {
                        okText: string;
                        cancelText: string;
                        justOkText: string;
                    };
                    Popconfirm?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Transfer?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Select?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Upload?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Form?: {
                        optional?: string;
                        defaultValidateMessages: {
                            default?: string | (() => string);
                            required?: string | (() => string);
                            enum?: string | (() => string);
                            whitespace?: string | (() => string);
                            date?: {
                                format?: string | (() => string);
                                parse?: string | (() => string);
                                invalid?: string | (() => string);
                            };
                            types?: {
                                string?: string | (() => string);
                                method?: string | (() => string);
                                array?: string | (() => string);
                                object?: string | (() => string);
                                number?: string | (() => string);
                                date?: string | (() => string);
                                boolean?: string | (() => string);
                                integer?: string | (() => string);
                                float?: string | (() => string);
                                regexp?: string | (() => string);
                                email?: string | (() => string);
                                url?: string | (() => string);
                                hex?: string | (() => string);
                            };
                            string?: {
                                len?: string | (() => string);
                                min?: string | (() => string);
                                max?: string | (() => string);
                                range?: string | (() => string);
                            };
                            number?: {
                                len?: string | (() => string);
                                min?: string | (() => string);
                                max?: string | (() => string);
                                range?: string | (() => string);
                            };
                            array?: {
                                len?: string | (() => string);
                                min?: string | (() => string);
                                max?: string | (() => string);
                                range?: string | (() => string);
                            };
                            pattern?: {
                                mismatch?: string | (() => string);
                            };
                        };
                    };
                    Image?: {
                        preview: string;
                    };
                };
                getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
                getTargetContainer?: () => HTMLElement;
                getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
                prefixCls?: string;
                renderEmpty?: typeof import("../config-provider/renderEmpty").default;
                transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
                csp?: unknown;
                autoInsertSpaceInButton?: boolean;
                pageHeader?: {
                    ghost: boolean;
                };
                componentSize?: import("../config-provider").SizeType;
                direction?: "ltr" | "rtl";
                space?: {
                    size: number | import("../config-provider").SizeType;
                };
                virtual?: boolean;
                dropdownMatchSelectWidth?: boolean;
                form?: unknown;
            };
        }, unknown, {}, {
            saveTreeSelect(node: any): void;
            focus(): void;
            blur(): void;
            renderSwitcherIcon(prefixCls: string, { isLeaf, loading }: {
                isLeaf: any;
                loading: any;
            }): JSX.Element;
            handleChange(...args: any[]): void;
            handleTreeExpand(...args: any[]): void;
            handleSearch(...args: any[]): void;
            updateTreeData(treeData: any[]): any[];
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            children: unknown[];
            getPopupContainer: (...args: any[]) => any;
            prefixCls: string;
            direction: string;
            onFocus: (...args: any[]) => any;
            onBlur: (...args: any[]) => any;
            onChange: (...args: any[]) => any;
            onKeydown: (...args: any[]) => any;
            onKeyup: (...args: any[]) => any;
            onClick: (...args: any[]) => any;
            onMousedown: (...args: any[]) => any;
            onMouseenter: (...args: any[]) => any;
            onMouseleave: (...args: any[]) => any;
            onSelect: (...args: any[]) => any;
            onDeselect: (...args: any[]) => any;
            onClear: (...args: any[]) => any;
            id: string;
            options: unknown[];
            searchValue: string;
            optionLabelProp: string;
            optionFilterProp: string;
            maxTagCount: number;
            maxTagTextLength: number;
            tagRender: (...args: any[]) => any;
            choiceTransitionName: string;
            onSearch: (...args: any[]) => any;
            animation: string;
            transitionName: string;
            dropdownStyle: {
                [key: string]: any;
            };
            dropdownClassName: string;
            dropdownRender: (...args: any[]) => any;
            showAction: unknown[];
            inputValue: string;
            filterSort: (...args: any[]) => any;
            listHeight: number;
            listItemHeight: number;
            onPopupScroll: (...args: any[]) => any;
            onDropdownVisibleChange: (...args: any[]) => any;
            internalProps: {
                [key: string]: any;
            };
            bordered: boolean;
            "onUpdate:value": (...args: any[]) => any;
            loadData: (...args: any[]) => any;
            searchPlaceholder: string;
            treeExpandedKeys: unknown[];
            treeDefaultExpandedKeys: unknown[];
            treeNodeFilterProp: string;
            treeNodeLabelProp: string;
            replaceFields: {
                [key: string]: any;
            };
            onTreeExpand: (...args: any[]) => any;
            "onUpdate:treeExpandedKeys": (...args: any[]) => any;
            "onUpdate:searchValue": (...args: any[]) => any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        autofocus: import("vue-types").VueTypeValidableDef<boolean>;
        dropdownStyle: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        filterTreeNode: import("vue-types").VueTypeDef<boolean | Function>;
        getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        labelInValue: import("vue-types").VueTypeValidableDef<boolean>;
        loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        maxTagCount: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        maxTagPlaceholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        value: import("vue-types").VueTypeDef<string | number | {
            [key: string]: any;
        }>;
        defaultValue: import("vue-types").VueTypeDef<string | number | {
            [key: string]: any;
        }>;
        multiple: import("vue-types").VueTypeValidableDef<boolean>;
        notFoundContent: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        searchPlaceholder: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        searchValue: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        showCheckedStrategy: import("vue-types").VueTypeDef<"SHOW_ALL" | "SHOW_PARENT" | "SHOW_CHILD">;
        suffixIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        treeCheckable: import("vue-types").VueTypeValidableDef<boolean>;
        treeCheckStrictly: import("vue-types").VueTypeValidableDef<boolean>;
        treeData: import("vue-types").VueTypeDef<{
            [key: string]: any;
        }[]>;
        treeDataSimpleMode: import("vue-types").VueTypeDef<boolean | {
            [key: string]: any;
        }>;
        dropdownClassName: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        dropdownMatchSelectWidth: import("vue-types").VueTypeValidableDef<boolean>;
        treeDefaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
        treeExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        treeIcon: import("vue-types").VueTypeValidableDef<boolean>;
        treeDefaultExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        treeNodeFilterProp: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        treeNodeLabelProp: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        replaceFields: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        } & {
            default: () => {
                [key: string]: any;
            };
        };
        clearIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        removeIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onSearch: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onTreeExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:treeExpandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:searchValue': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:value': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        itemIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
        mode: import("vue-types").VueTypeDef<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
        bordered: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        };
        transitionName: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        } & {
            default: string;
        };
        choiceTransitionName: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        } & {
            default: string;
        };
        children: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        direction: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        virtual: import("vue-types").VueTypeValidableDef<boolean>;
        onFocus: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onBlur: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onKeydown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onKeyup: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onMousedown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onMouseenter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onMouseleave: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        tabindex: import("vue-types").VueTypeDef<string | number>;
        onDeselect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onClear: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        open: import("vue-types").VueTypeValidableDef<boolean>;
        disabled: import("vue-types").VueTypeValidableDef<boolean>;
        id: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        options: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        defaultActiveFirstOption: import("vue-types").VueTypeValidableDef<boolean>;
        menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        optionLabelProp: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        optionFilterProp: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        filterOption: import("vue-types").VueTypeValidableDef<any>;
        placeholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        showSearch: import("vue-types").VueTypeValidableDef<boolean>;
        onInputKeyDown: {
            type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
        };
        maxTagTextLength: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        tokenSeparators: import("vue-types").VueTypeDef<string[]>;
        tagRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        animation: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        dropdownRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        dropdownAlign: import("vue-types").VueTypeValidableDef<any>;
        showAction: import("vue-types").VueTypeValidableDef<unknown[]> & {
            default: () => unknown[];
        };
        inputValue: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        filterSort: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        autoClearSearchValue: import("vue-types").VueTypeValidableDef<boolean>;
        allowClear: import("vue-types").VueTypeValidableDef<boolean>;
        showArrow: import("vue-types").VueTypeValidableDef<boolean>;
        defaultOpen: import("vue-types").VueTypeValidableDef<boolean>;
        listHeight: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        listItemHeight: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        };
        loading: import("vue-types").VueTypeValidableDef<boolean>;
        onPopupScroll: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onDropdownVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        internalProps: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
    }>> & import("vue").ShallowUnwrapRef<{
        vcTreeSelect: any;
        configProvider: {
            locale?: {
                locale: string;
                Pagination?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                DatePicker?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                TimePicker?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Calendar?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Table?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Modal?: {
                    okText: string;
                    cancelText: string;
                    justOkText: string;
                };
                Popconfirm?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Transfer?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Select?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Upload?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Form?: {
                    optional?: string;
                    defaultValidateMessages: {
                        default?: string | (() => string);
                        required?: string | (() => string);
                        enum?: string | (() => string);
                        whitespace?: string | (() => string);
                        date?: {
                            format?: string | (() => string);
                            parse?: string | (() => string);
                            invalid?: string | (() => string);
                        };
                        types?: {
                            string?: string | (() => string);
                            method?: string | (() => string);
                            array?: string | (() => string);
                            object?: string | (() => string);
                            number?: string | (() => string);
                            date?: string | (() => string);
                            boolean?: string | (() => string);
                            integer?: string | (() => string);
                            float?: string | (() => string);
                            regexp?: string | (() => string);
                            email?: string | (() => string);
                            url?: string | (() => string);
                            hex?: string | (() => string);
                        };
                        string?: {
                            len?: string | (() => string);
                            min?: string | (() => string);
                            max?: string | (() => string);
                            range?: string | (() => string);
                        };
                        number?: {
                            len?: string | (() => string);
                            min?: string | (() => string);
                            max?: string | (() => string);
                            range?: string | (() => string);
                        };
                        array?: {
                            len?: string | (() => string);
                            min?: string | (() => string);
                            max?: string | (() => string);
                            range?: string | (() => string);
                        };
                        pattern?: {
                            mismatch?: string | (() => string);
                        };
                    };
                };
                Image?: {
                    preview: string;
                };
            };
            getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
            getTargetContainer?: () => HTMLElement;
            getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
            prefixCls?: string;
            renderEmpty?: typeof import("../config-provider/renderEmpty").default;
            transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
            csp?: unknown;
            autoInsertSpaceInButton?: boolean;
            pageHeader?: {
                ghost: boolean;
            };
            componentSize?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            space?: {
                size: number | import("../config-provider").SizeType;
            };
            virtual?: boolean;
            dropdownMatchSelectWidth?: boolean;
            form?: unknown;
        };
    }> & {} & {} & {
        saveTreeSelect(node: any): void;
        focus(): void;
        blur(): void;
        renderSwitcherIcon(prefixCls: string, { isLeaf, loading }: {
            isLeaf: any;
            loading: any;
        }): JSX.Element;
        handleChange(...args: any[]): void;
        handleTreeExpand(...args: any[]): void;
        handleSearch(...args: any[]): void;
        updateTreeData(treeData: any[]): any[];
    } & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    dropdownStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    filterTreeNode: import("vue-types").VueTypeDef<boolean | Function>;
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    labelInValue: import("vue-types").VueTypeValidableDef<boolean>;
    loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    maxTagCount: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    maxTagPlaceholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    value: import("vue-types").VueTypeDef<string | number | {
        [key: string]: any;
    }>;
    defaultValue: import("vue-types").VueTypeDef<string | number | {
        [key: string]: any;
    }>;
    multiple: import("vue-types").VueTypeValidableDef<boolean>;
    notFoundContent: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    searchPlaceholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    searchValue: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    showCheckedStrategy: import("vue-types").VueTypeDef<"SHOW_ALL" | "SHOW_PARENT" | "SHOW_CHILD">;
    suffixIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    treeCheckable: import("vue-types").VueTypeValidableDef<boolean>;
    treeCheckStrictly: import("vue-types").VueTypeValidableDef<boolean>;
    treeData: import("vue-types").VueTypeDef<{
        [key: string]: any;
    }[]>;
    treeDataSimpleMode: import("vue-types").VueTypeDef<boolean | {
        [key: string]: any;
    }>;
    dropdownClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    dropdownMatchSelectWidth: import("vue-types").VueTypeValidableDef<boolean>;
    treeDefaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
    treeExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    treeIcon: import("vue-types").VueTypeValidableDef<boolean>;
    treeDefaultExpandedKeys: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    treeNodeFilterProp: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    treeNodeLabelProp: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    replaceFields: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    clearIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    removeIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onSearch: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onTreeExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:treeExpandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:searchValue': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:value': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    itemIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    size: import("vue-types").VueTypeDef<"default" | "small" | "middle" | "large">;
    mode: import("vue-types").VueTypeDef<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
    bordered: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    transitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    choiceTransitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    children: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    direction: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    virtual: import("vue-types").VueTypeValidableDef<boolean>;
    onFocus: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onBlur: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onKeydown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onKeyup: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onMousedown: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onMouseenter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onMouseleave: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    tabindex: import("vue-types").VueTypeDef<string | number>;
    onDeselect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onClear: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    open: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    options: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    defaultActiveFirstOption: import("vue-types").VueTypeValidableDef<boolean>;
    menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    optionLabelProp: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    optionFilterProp: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    filterOption: import("vue-types").VueTypeValidableDef<any>;
    placeholder: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    showSearch: import("vue-types").VueTypeValidableDef<boolean>;
    onInputKeyDown: {
        type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
    };
    maxTagTextLength: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    tokenSeparators: import("vue-types").VueTypeDef<string[]>;
    tagRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    animation: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    dropdownRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    dropdownAlign: import("vue-types").VueTypeValidableDef<any>;
    showAction: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    inputValue: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    filterSort: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    autoClearSearchValue: import("vue-types").VueTypeValidableDef<boolean>;
    allowClear: import("vue-types").VueTypeValidableDef<boolean>;
    showArrow: import("vue-types").VueTypeValidableDef<boolean>;
    defaultOpen: import("vue-types").VueTypeValidableDef<boolean>;
    listHeight: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    listItemHeight: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    loading: import("vue-types").VueTypeValidableDef<boolean>;
    onPopupScroll: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onDropdownVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    internalProps: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
}>>, {
    vcTreeSelect: any;
    configProvider: {
        locale?: {
            locale: string;
            Pagination?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            DatePicker?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            TimePicker?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Calendar?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Table?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Modal?: {
                okText: string;
                cancelText: string;
                justOkText: string;
            };
            Popconfirm?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Transfer?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Select?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Upload?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Form?: {
                optional?: string;
                defaultValidateMessages: {
                    default?: string | (() => string);
                    required?: string | (() => string);
                    enum?: string | (() => string);
                    whitespace?: string | (() => string);
                    date?: {
                        format?: string | (() => string);
                        parse?: string | (() => string);
                        invalid?: string | (() => string);
                    };
                    types?: {
                        string?: string | (() => string);
                        method?: string | (() => string);
                        array?: string | (() => string);
                        object?: string | (() => string);
                        number?: string | (() => string);
                        date?: string | (() => string);
                        boolean?: string | (() => string);
                        integer?: string | (() => string);
                        float?: string | (() => string);
                        regexp?: string | (() => string);
                        email?: string | (() => string);
                        url?: string | (() => string);
                        hex?: string | (() => string);
                    };
                    string?: {
                        len?: string | (() => string);
                        min?: string | (() => string);
                        max?: string | (() => string);
                        range?: string | (() => string);
                    };
                    number?: {
                        len?: string | (() => string);
                        min?: string | (() => string);
                        max?: string | (() => string);
                        range?: string | (() => string);
                    };
                    array?: {
                        len?: string | (() => string);
                        min?: string | (() => string);
                        max?: string | (() => string);
                        range?: string | (() => string);
                    };
                    pattern?: {
                        mismatch?: string | (() => string);
                    };
                };
            };
            Image?: {
                preview: string;
            };
        };
        getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
        getTargetContainer?: () => HTMLElement;
        getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
        prefixCls?: string;
        renderEmpty?: typeof import("../config-provider/renderEmpty").default;
        transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
        csp?: unknown;
        autoInsertSpaceInButton?: boolean;
        pageHeader?: {
            ghost: boolean;
        };
        componentSize?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        space?: {
            size: number | import("../config-provider").SizeType;
        };
        virtual?: boolean;
        dropdownMatchSelectWidth?: boolean;
        form?: unknown;
    };
}, unknown, {}, {
    saveTreeSelect(node: any): void;
    focus(): void;
    blur(): void;
    renderSwitcherIcon(prefixCls: string, { isLeaf, loading }: {
        isLeaf: any;
        loading: any;
    }): JSX.Element;
    handleChange(...args: any[]): void;
    handleTreeExpand(...args: any[]): void;
    handleSearch(...args: any[]): void;
    updateTreeData(treeData: any[]): any[];
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    children: unknown[];
    getPopupContainer: (...args: any[]) => any;
    prefixCls: string;
    direction: string;
    onFocus: (...args: any[]) => any;
    onBlur: (...args: any[]) => any;
    onChange: (...args: any[]) => any;
    onKeydown: (...args: any[]) => any;
    onKeyup: (...args: any[]) => any;
    onClick: (...args: any[]) => any;
    onMousedown: (...args: any[]) => any;
    onMouseenter: (...args: any[]) => any;
    onMouseleave: (...args: any[]) => any;
    onSelect: (...args: any[]) => any;
    onDeselect: (...args: any[]) => any;
    onClear: (...args: any[]) => any;
    id: string;
    options: unknown[];
    searchValue: string;
    optionLabelProp: string;
    optionFilterProp: string;
    maxTagCount: number;
    maxTagTextLength: number;
    tagRender: (...args: any[]) => any;
    choiceTransitionName: string;
    onSearch: (...args: any[]) => any;
    animation: string;
    transitionName: string;
    dropdownStyle: {
        [key: string]: any;
    };
    dropdownClassName: string;
    dropdownRender: (...args: any[]) => any;
    showAction: unknown[];
    inputValue: string;
    filterSort: (...args: any[]) => any;
    listHeight: number;
    listItemHeight: number;
    onPopupScroll: (...args: any[]) => any;
    onDropdownVisibleChange: (...args: any[]) => any;
    internalProps: {
        [key: string]: any;
    };
    bordered: boolean;
    "onUpdate:value": (...args: any[]) => any;
    loadData: (...args: any[]) => any;
    searchPlaceholder: string;
    treeExpandedKeys: unknown[];
    treeDefaultExpandedKeys: unknown[];
    treeNodeFilterProp: string;
    treeNodeLabelProp: string;
    replaceFields: {
        [key: string]: any;
    };
    onTreeExpand: (...args: any[]) => any;
    "onUpdate:treeExpandedKeys": (...args: any[]) => any;
    "onUpdate:searchValue": (...args: any[]) => any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly TreeNode: typeof TreeNode;
    readonly SHOW_ALL: typeof SHOW_ALL;
    readonly SHOW_PARENT: typeof SHOW_PARENT;
    readonly SHOW_CHILD: typeof SHOW_CHILD;
};
export default _default;
