import type { Plugin } from 'vue';
import DirectoryTree from './DirectoryTree';
export declare const TreeNode: any;
export { DirectoryTree };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            icon: (...args: any[]) => any;
            prefixCls: string;
            onClick: (...args: any[]) => any;
            onDblclick: (...args: any[]) => any;
            onSelect: (...args: any[]) => any;
            onExpand: (...args: any[]) => any;
            "onUpdate:selectedKeys": (...args: any[]) => any;
            loadData: (...args: any[]) => any;
            filterTreeNode: (...args: any[]) => any;
            replaceFields: {
                [key: string]: any;
            };
            filterAntTreeNode: (...args: any[]) => any;
            onCheck: (...args: any[]) => any;
            onDoubleclick: (...args: any[]) => any;
            "onUpdate:checkedKeys": (...args: any[]) => any;
            "onUpdate:expandedKeys": (...args: any[]) => any;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            showLine: import("vue-types").VueTypeValidableDef<boolean>;
            multiple: import("vue-types").VueTypeValidableDef<boolean>;
            autoExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
            checkStrictly: import("vue-types").VueTypeValidableDef<boolean>;
            checkable: import("vue-types").VueTypeValidableDef<boolean>;
            disabled: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            expandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            checkedKeys: import("vue-types").VueTypeDef<(string | number)[] | {
                checked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
                halfChecked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
            }>;
            defaultCheckedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            selectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            defaultSelectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            selectable: import("vue-types").VueTypeValidableDef<boolean>;
            filterAntTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            loadedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            draggable: import("vue-types").VueTypeValidableDef<boolean>;
            showIcon: import("vue-types").VueTypeValidableDef<boolean>;
            icon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            switcherIcon: import("vue-types").VueTypeValidableDef<any>;
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            filterTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            openAnimation: import("vue-types").VueTypeValidableDef<any>;
            treeData: {
                type: import("vue").PropType<import("./Tree").TreeDataItem[]>;
            };
            replaceFields: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            blockNode: import("vue-types").VueTypeValidableDef<boolean>;
            onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onCheck: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onDoubleclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onDblclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:selectedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:checkedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:expandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "icon" | "prefixCls" | "onClick" | "onDblclick" | "onSelect" | "onExpand" | "onUpdate:selectedKeys" | "loadData" | "filterTreeNode" | "replaceFields" | "filterAntTreeNode" | "onCheck" | "onDoubleclick" | "onUpdate:checkedKeys" | "onUpdate:expandedKeys">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            showLine: import("vue-types").VueTypeValidableDef<boolean>;
            multiple: import("vue-types").VueTypeValidableDef<boolean>;
            autoExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
            checkStrictly: import("vue-types").VueTypeValidableDef<boolean>;
            checkable: import("vue-types").VueTypeValidableDef<boolean>;
            disabled: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
            defaultExpandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            expandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            checkedKeys: import("vue-types").VueTypeDef<(string | number)[] | {
                checked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
                halfChecked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
            }>;
            defaultCheckedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            selectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            defaultSelectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            selectable: import("vue-types").VueTypeValidableDef<boolean>;
            filterAntTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            loadedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
            draggable: import("vue-types").VueTypeValidableDef<boolean>;
            showIcon: import("vue-types").VueTypeValidableDef<boolean>;
            icon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            switcherIcon: import("vue-types").VueTypeValidableDef<any>;
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            };
            filterTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            openAnimation: import("vue-types").VueTypeValidableDef<any>;
            treeData: {
                type: import("vue").PropType<import("./Tree").TreeDataItem[]>;
            };
            replaceFields: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            blockNode: import("vue-types").VueTypeValidableDef<boolean>;
            onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onCheck: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onDoubleclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onDblclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:selectedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:checkedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            'onUpdate:expandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
        }>>, {
            tree: any;
            configProvider: {
                locale?: {
                    locale: string;
                    Pagination?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    DatePicker?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    TimePicker?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Calendar?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Table?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Modal?: {
                        okText: string;
                        cancelText: string;
                        justOkText: string;
                    };
                    Popconfirm?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Transfer?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Select?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Upload?: {
                        constructor: Function;
                        toString: () => string;
                        toLocaleString: () => string;
                        valueOf: () => Object;
                        hasOwnProperty: (v: PropertyKey) => boolean;
                        isPrototypeOf: (v: Object) => boolean;
                        propertyIsEnumerable: (v: PropertyKey) => boolean;
                    };
                    Form?: {
                        optional?: string;
                        defaultValidateMessages: {
                            default?: string | (() => string);
                            required?: string | (() => string);
                            enum?: string | (() => string);
                            whitespace?: string | (() => string);
                            date?: {
                                format?: string | (() => string);
                                parse?: string | (() => string);
                                invalid?: string | (() => string);
                            };
                            types?: {
                                string?: string | (() => string);
                                method?: string | (() => string);
                                array?: string | (() => string);
                                object?: string | (() => string);
                                number?: string | (() => string);
                                date?: string | (() => string);
                                boolean?: string | (() => string);
                                integer?: string | (() => string);
                                float?: string | (() => string);
                                regexp?: string | (() => string);
                                email?: string | (() => string);
                                url?: string | (() => string);
                                hex?: string | (() => string);
                            };
                            string?: {
                                len?: string | (() => string);
                                min?: string | (() => string);
                                max?: string | (() => string);
                                range?: string | (() => string);
                            };
                            number?: {
                                len?: string | (() => string);
                                min?: string | (() => string);
                                max?: string | (() => string);
                                range?: string | (() => string);
                            };
                            array?: {
                                len?: string | (() => string);
                                min?: string | (() => string);
                                max?: string | (() => string);
                                range?: string | (() => string);
                            };
                            pattern?: {
                                mismatch?: string | (() => string);
                            };
                        };
                    };
                    Image?: {
                        preview: string;
                    };
                };
                getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
                getTargetContainer?: () => HTMLElement;
                getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
                prefixCls?: string;
                renderEmpty?: typeof import("../config-provider/renderEmpty").default;
                transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
                csp?: unknown;
                autoInsertSpaceInButton?: boolean;
                pageHeader?: {
                    ghost: boolean;
                };
                componentSize?: import("../config-provider").SizeType;
                direction?: "ltr" | "rtl";
                space?: {
                    size: number | import("../config-provider").SizeType;
                };
                virtual?: boolean;
                dropdownMatchSelectWidth?: boolean;
                form?: unknown;
            };
        }, unknown, {}, {
            renderSwitcherIcon(prefixCls: string, switcherIcon: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, { isLeaf, loading, expanded }: {
                isLeaf: any;
                loading: any;
                expanded: any;
            }): import("vue").VNode<any, any, {
                [key: string]: any;
            }>;
            updateTreeData(treeData: import("./Tree").TreeDataItem[]): ({
                icon: any;
                switcherIcon: any;
                title: any;
                dataRef: import("./Tree").TreeDataItem;
                key: any;
                class: string;
                style: import("vue").CSSProperties;
                isLeaf?: boolean;
                selectable?: boolean;
                children?: import("./Tree").TreeDataItem[];
                disableCheckbox?: boolean;
                disabled?: boolean;
                checkable?: boolean;
            } | {
                children: any;
                icon: any;
                switcherIcon: any;
                title: any;
                dataRef: import("./Tree").TreeDataItem;
                key: any;
                class: string;
                style: import("vue").CSSProperties;
                isLeaf?: boolean;
                selectable?: boolean;
                disableCheckbox?: boolean;
                disabled?: boolean;
                checkable?: boolean;
            })[];
            setTreeRef(node: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>): void;
            handleCheck(checkedObj: (string | number)[], eventObj: import("./Tree").CheckEvent): void;
            handleExpand(expandedKeys: (string | number)[], eventObj: import("./Tree").ExpendEvent): void;
            handleSelect(selectedKeys: (string | number)[], eventObj: import("./Tree").SelectEvent): void;
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            icon: (...args: any[]) => any;
            prefixCls: string;
            onClick: (...args: any[]) => any;
            onDblclick: (...args: any[]) => any;
            onSelect: (...args: any[]) => any;
            onExpand: (...args: any[]) => any;
            "onUpdate:selectedKeys": (...args: any[]) => any;
            loadData: (...args: any[]) => any;
            filterTreeNode: (...args: any[]) => any;
            replaceFields: {
                [key: string]: any;
            };
            filterAntTreeNode: (...args: any[]) => any;
            onCheck: (...args: any[]) => any;
            onDoubleclick: (...args: any[]) => any;
            "onUpdate:checkedKeys": (...args: any[]) => any;
            "onUpdate:expandedKeys": (...args: any[]) => any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        showLine: import("vue-types").VueTypeValidableDef<boolean>;
        multiple: import("vue-types").VueTypeValidableDef<boolean>;
        autoExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
        checkStrictly: import("vue-types").VueTypeValidableDef<boolean>;
        checkable: import("vue-types").VueTypeValidableDef<boolean>;
        disabled: import("vue-types").VueTypeValidableDef<boolean>;
        defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
        defaultExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
        defaultExpandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
        expandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
        checkedKeys: import("vue-types").VueTypeDef<(string | number)[] | {
            checked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
            halfChecked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
        }>;
        defaultCheckedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
        selectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
        defaultSelectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
        selectable: import("vue-types").VueTypeValidableDef<boolean>;
        filterAntTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        loadedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
        draggable: import("vue-types").VueTypeValidableDef<boolean>;
        showIcon: import("vue-types").VueTypeValidableDef<boolean>;
        icon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        switcherIcon: import("vue-types").VueTypeValidableDef<any>;
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        filterTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        openAnimation: import("vue-types").VueTypeValidableDef<any>;
        treeData: {
            type: import("vue").PropType<import("./Tree").TreeDataItem[]>;
        };
        replaceFields: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        blockNode: import("vue-types").VueTypeValidableDef<boolean>;
        onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onCheck: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onDoubleclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onDblclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:selectedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:checkedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        'onUpdate:expandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
    }>> & import("vue").ShallowUnwrapRef<{
        tree: any;
        configProvider: {
            locale?: {
                locale: string;
                Pagination?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                DatePicker?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                TimePicker?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Calendar?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Table?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Modal?: {
                    okText: string;
                    cancelText: string;
                    justOkText: string;
                };
                Popconfirm?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Transfer?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Select?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Upload?: {
                    constructor: Function;
                    toString: () => string;
                    toLocaleString: () => string;
                    valueOf: () => Object;
                    hasOwnProperty: (v: PropertyKey) => boolean;
                    isPrototypeOf: (v: Object) => boolean;
                    propertyIsEnumerable: (v: PropertyKey) => boolean;
                };
                Form?: {
                    optional?: string;
                    defaultValidateMessages: {
                        default?: string | (() => string);
                        required?: string | (() => string);
                        enum?: string | (() => string);
                        whitespace?: string | (() => string);
                        date?: {
                            format?: string | (() => string);
                            parse?: string | (() => string);
                            invalid?: string | (() => string);
                        };
                        types?: {
                            string?: string | (() => string);
                            method?: string | (() => string);
                            array?: string | (() => string);
                            object?: string | (() => string);
                            number?: string | (() => string);
                            date?: string | (() => string);
                            boolean?: string | (() => string);
                            integer?: string | (() => string);
                            float?: string | (() => string);
                            regexp?: string | (() => string);
                            email?: string | (() => string);
                            url?: string | (() => string);
                            hex?: string | (() => string);
                        };
                        string?: {
                            len?: string | (() => string);
                            min?: string | (() => string);
                            max?: string | (() => string);
                            range?: string | (() => string);
                        };
                        number?: {
                            len?: string | (() => string);
                            min?: string | (() => string);
                            max?: string | (() => string);
                            range?: string | (() => string);
                        };
                        array?: {
                            len?: string | (() => string);
                            min?: string | (() => string);
                            max?: string | (() => string);
                            range?: string | (() => string);
                        };
                        pattern?: {
                            mismatch?: string | (() => string);
                        };
                    };
                };
                Image?: {
                    preview: string;
                };
            };
            getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
            getTargetContainer?: () => HTMLElement;
            getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
            prefixCls?: string;
            renderEmpty?: typeof import("../config-provider/renderEmpty").default;
            transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
            csp?: unknown;
            autoInsertSpaceInButton?: boolean;
            pageHeader?: {
                ghost: boolean;
            };
            componentSize?: import("../config-provider").SizeType;
            direction?: "ltr" | "rtl";
            space?: {
                size: number | import("../config-provider").SizeType;
            };
            virtual?: boolean;
            dropdownMatchSelectWidth?: boolean;
            form?: unknown;
        };
    }> & {} & {} & {
        renderSwitcherIcon(prefixCls: string, switcherIcon: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>, { isLeaf, loading, expanded }: {
            isLeaf: any;
            loading: any;
            expanded: any;
        }): import("vue").VNode<any, any, {
            [key: string]: any;
        }>;
        updateTreeData(treeData: import("./Tree").TreeDataItem[]): ({
            icon: any;
            switcherIcon: any;
            title: any;
            dataRef: import("./Tree").TreeDataItem;
            key: any;
            class: string;
            style: import("vue").CSSProperties;
            isLeaf?: boolean;
            selectable?: boolean;
            children?: import("./Tree").TreeDataItem[];
            disableCheckbox?: boolean;
            disabled?: boolean;
            checkable?: boolean;
        } | {
            children: any;
            icon: any;
            switcherIcon: any;
            title: any;
            dataRef: import("./Tree").TreeDataItem;
            key: any;
            class: string;
            style: import("vue").CSSProperties;
            isLeaf?: boolean;
            selectable?: boolean;
            disableCheckbox?: boolean;
            disabled?: boolean;
            checkable?: boolean;
        })[];
        setTreeRef(node: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>): void;
        handleCheck(checkedObj: (string | number)[], eventObj: import("./Tree").CheckEvent): void;
        handleExpand(expandedKeys: (string | number)[], eventObj: import("./Tree").ExpendEvent): void;
        handleSelect(selectedKeys: (string | number)[], eventObj: import("./Tree").SelectEvent): void;
    } & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    showLine: import("vue-types").VueTypeValidableDef<boolean>;
    multiple: import("vue-types").VueTypeValidableDef<boolean>;
    autoExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
    checkStrictly: import("vue-types").VueTypeValidableDef<boolean>;
    checkable: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean>;
    defaultExpandParent: import("vue-types").VueTypeValidableDef<boolean>;
    defaultExpandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
    expandedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
    checkedKeys: import("vue-types").VueTypeDef<(string | number)[] | {
        checked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
        halfChecked: import("vue-types/dist/types").DefaultFactory<(string | number)[]>;
    }>;
    defaultCheckedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
    selectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
    defaultSelectedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
    selectable: import("vue-types").VueTypeValidableDef<boolean>;
    filterAntTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    loadData: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    loadedKeys: import("vue-types").VueTypeDef<(string | number)[]>;
    draggable: import("vue-types").VueTypeValidableDef<boolean>;
    showIcon: import("vue-types").VueTypeValidableDef<boolean>;
    icon: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    switcherIcon: import("vue-types").VueTypeValidableDef<any>;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    filterTreeNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    openAnimation: import("vue-types").VueTypeValidableDef<any>;
    treeData: {
        type: import("vue").PropType<import("./Tree").TreeDataItem[]>;
    };
    replaceFields: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    blockNode: import("vue-types").VueTypeValidableDef<boolean>;
    onExpand: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCheck: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onSelect: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onDoubleclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onDblclick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:selectedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:checkedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:expandedKeys': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
}>>, {
    tree: any;
    configProvider: {
        locale?: {
            locale: string;
            Pagination?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            DatePicker?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            TimePicker?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Calendar?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Table?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Modal?: {
                okText: string;
                cancelText: string;
                justOkText: string;
            };
            Popconfirm?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Transfer?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Select?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Upload?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: PropertyKey) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: PropertyKey) => boolean;
            };
            Form?: {
                optional?: string;
                defaultValidateMessages: {
                    default?: string | (() => string);
                    required?: string | (() => string);
                    enum?: string | (() => string);
                    whitespace?: string | (() => string);
                    date?: {
                        format?: string | (() => string);
                        parse?: string | (() => string);
                        invalid?: string | (() => string);
                    };
                    types?: {
                        string?: string | (() => string);
                        method?: string | (() => string);
                        array?: string | (() => string);
                        object?: string | (() => string);
                        number?: string | (() => string);
                        date?: string | (() => string);
                        boolean?: string | (() => string);
                        integer?: string | (() => string);
                        float?: string | (() => string);
                        regexp?: string | (() => string);
                        email?: string | (() => string);
                        url?: string | (() => string);
                        hex?: string | (() => string);
                    };
                    string?: {
                        len?: string | (() => string);
                        min?: string | (() => string);
                        max?: string | (() => string);
                        range?: string | (() => string);
                    };
                    number?: {
                        len?: string | (() => string);
                        min?: string | (() => string);
                        max?: string | (() => string);
                        range?: string | (() => string);
                    };
                    array?: {
                        len?: string | (() => string);
                        min?: string | (() => string);
                        max?: string | (() => string);
                        range?: string | (() => string);
                    };
                    pattern?: {
                        mismatch?: string | (() => string);
                    };
                };
            };
            Image?: {
                preview: string;
            };
        };
        getPrefixCls?: (suffixCls?: string, customizePrefixCls?: string) => string;
        getTargetContainer?: () => HTMLElement;
        getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
        prefixCls?: string;
        renderEmpty?: typeof import("../config-provider/renderEmpty").default;
        transformCellText?: (tableProps: import("../table/interface").TransformCellTextProps) => any;
        csp?: unknown;
        autoInsertSpaceInButton?: boolean;
        pageHeader?: {
            ghost: boolean;
        };
        componentSize?: import("../config-provider").SizeType;
        direction?: "ltr" | "rtl";
        space?: {
            size: number | import("../config-provider").SizeType;
        };
        virtual?: boolean;
        dropdownMatchSelectWidth?: boolean;
        form?: unknown;
    };
}, unknown, {}, {
    renderSwitcherIcon(prefixCls: string, switcherIcon: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>, { isLeaf, loading, expanded }: {
        isLeaf: any;
        loading: any;
        expanded: any;
    }): import("vue").VNode<any, any, {
        [key: string]: any;
    }>;
    updateTreeData(treeData: import("./Tree").TreeDataItem[]): ({
        icon: any;
        switcherIcon: any;
        title: any;
        dataRef: import("./Tree").TreeDataItem;
        key: any;
        class: string;
        style: import("vue").CSSProperties;
        isLeaf?: boolean;
        selectable?: boolean;
        children?: import("./Tree").TreeDataItem[];
        disableCheckbox?: boolean;
        disabled?: boolean;
        checkable?: boolean;
    } | {
        children: any;
        icon: any;
        switcherIcon: any;
        title: any;
        dataRef: import("./Tree").TreeDataItem;
        key: any;
        class: string;
        style: import("vue").CSSProperties;
        isLeaf?: boolean;
        selectable?: boolean;
        disableCheckbox?: boolean;
        disabled?: boolean;
        checkable?: boolean;
    })[];
    setTreeRef(node: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>): void;
    handleCheck(checkedObj: (string | number)[], eventObj: import("./Tree").CheckEvent): void;
    handleExpand(expandedKeys: (string | number)[], eventObj: import("./Tree").ExpendEvent): void;
    handleSelect(selectedKeys: (string | number)[], eventObj: import("./Tree").SelectEvent): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    icon: (...args: any[]) => any;
    prefixCls: string;
    onClick: (...args: any[]) => any;
    onDblclick: (...args: any[]) => any;
    onSelect: (...args: any[]) => any;
    onExpand: (...args: any[]) => any;
    "onUpdate:selectedKeys": (...args: any[]) => any;
    loadData: (...args: any[]) => any;
    filterTreeNode: (...args: any[]) => any;
    replaceFields: {
        [key: string]: any;
    };
    filterAntTreeNode: (...args: any[]) => any;
    onCheck: (...args: any[]) => any;
    onDoubleclick: (...args: any[]) => any;
    "onUpdate:checkedKeys": (...args: any[]) => any;
    "onUpdate:expandedKeys": (...args: any[]) => any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly TreeNode: any;
    readonly DirectoryTree: typeof DirectoryTree;
};
export default _default;
