export default class TableManager {
    current_id: number;
    tableMap: Map<number, {
        left: boolean;
        right: boolean;
    }>;
    getId(): number;
    add(id: number): void;
    delete(id: number): void;
    createElement(id: number, direction: 'left' | 'right'): HTMLStyleElement;
    addFixStyle(id: number, direction: 'left' | 'right'): void;
    removeFixStyle(id: number, direction: 'left' | 'right'): void;
}
